import aiohttp
import re
import json
import logging


error_codes = {
	400: 'BadRequest',
	404: 'NotFound',
	401: 'Unauthorized',
	403: 'Forbidden',
	404: 'NotFound',
	500: 'InternalServerError',
	504: 'GatewayTimeout'
}


def bool_check(value):
	if value == True or str(value).lower() in ['yes', 'true', 'enable']:
		return True

	elif value in [None, False] or str(value).lower() in ['no', 'false', 'disable', '']:
		return False

	else:
		return value


def json_error(code, error):
	error_body = json.dumps({'error': error})
	cont_type = 'application/json'

	if code == 418:
		raise HTTPTeapot(body=error_body, content_type=cont_type)

	elif code not in error_codes.keys():
		logging.error(f'Hey! You specified a wrong error code: {code} {error}')

		error_body = json.dumps({'error': 'DevError'})

		raise aiohttp.web.HTTPInternalServerError(body=error_body, content_type=cont_type)

	raise eval('aiohttp.web.HTTP'+error_codes[code]+'(body=error_body, content_type=cont_type)')


def user_check(path):
	parsed = path.replace('.json', '').split('/')

	if (parsed[1] == 'users' and len(parsed) < 4) or (parsed[1].startswith('@') and len(parsed) < 3):
		try:
			int(parsed[-1])
			return False

		except ValueError:
			return True

	return False

